## base QJML Schema

SCHEMA TREE | INDEX

### text: ID

attribute of: contextSupport dtdInput dtdOutput factory factoryByTag input qdml2qjml qdmlExpand qjml2java qjml2javaConv qjml2qdml qjmlExpand qvErrorContext qvValidator setid sinkSupport transcribe validatorSupport

### text: PUBLIC

attribute of: contextSupport qdml2qjml qdmlExpand qjml2javaConv qjmlExpand qvErrorContext setid

### text: SYSTEM

attribute of: contextSupport qdml2qjml qdmlExpand qjml2javaConv qjmlExpand qvErrorContext setid

### interface: base

targetClass: `com.jxml.quick.ocm.OCMbase`

### Is extended/implemented by

- factory
- sink
- source

### bean: contextSupport

extends sinkSupport
implements source
targetClass: `com.jxml.quick.ocm.OCMcontextSupport`

### Attributes (the attributes are not inherited)

- ID ( optional )
  The data item is an identifier maintained by QDoc
  ID
- PUBLIC ( optional )
  field: `PUBLIC` , data is defined by: `PUBLIC`
- SYSTEM ( optional )
  field: `SYSTEM` , data is defined by: `SYSTEM`
- docNamePrefix ( optional )
  field: `prefix` , data is defined by: `docNamePrefix`
- expressDefaults ( optional )
  default value: `False`
  field: `expressDefaults` , data is defined by: `expressDefaults`
- outputSchema ( optional )
  field: `schemaName` , data is defined by: `outputSchema`
- rootTag ( optional )
  field: `rootTag` , data is defined by: `rootTag`

### Children

full tree

- selection ( required ) field: `source`
  - source ( required )
  - sourceLink ( required )
- selection ( optional ) field: `validator`
  - validate ( required )
  - validateLink ( required )
- selection ( required ) field: `factory`
  - factory ( required )
  - factoryLink ( required )

### Is extended/implemented by

- qdml2qjml
- qdmlExpand
- qjml2javaConv
- qjmlExpand
- qvErrorContext
- setid

### text: dataModelClass

child of: factory

### text: defaultPeerClass

attribute of: factory factoryByTag

### text: docNamePrefix

attribute of: contextSupport dtdOutput qdml2qjml qdmlExpand qjml2java qjml2javaConv qjml2qdml qjmlExpand qvErrorContext qvValidator setid sinkSupport transcribe validatorSupport

### bean: dtdInput

extends source
targetClass: `com.jxml.quick.util.dtd2xml.DTDbyName`

### Attributes (the attributes are not inherited)

- ID ( optional )
  The data item is an identifier maintained by QDoc
  ID
- inputSchema ( optional )
  default value: `classpath:///dtd.qiml`
  field: `schemaName` , data is defined by: `inputSchema`

### bean: dtdOutput

extends sinkSupport
implements source
targetClass: `com.jxml.quick.util.dtd2xml.DTDexpress`

### Attributes (the attributes are not inherited)

- ID ( optional )
  The data item is an identifier maintained by QDoc
  ID
- docNamePrefix ( optional )
  field: `prefix` , data is defined by: `docNamePrefix`
- expressDefaults ( optional )
  default value: `False`
  field: `expressDefaults` , data is defined by: `expressDefaults`
- outputSchema ( optional )
  default value: `classpath:///dtd.qiml`
  field: `schemaName` , data is defined by: `outputSchema`

### Children

full tree

- selection ( required ) field: `source`
  - source ( required )
  - sourceLink ( required )
- selection ( optional ) field: `validator`
  - validate ( required )
  - validateLink ( required )

### text: expressDefaults

attribute of: contextSupport dtdOutput qdml2qjml qdmlExpand qjml2java qjml2javaConv qjml2qdml qjmlExpand qvErrorContext qvValidator setid sinkSupport transcribe validatorSupport
content: `boolean`

### bean: factory

extends base
child of: contextSupport qdml2qjml qdmlExpand qjml2javaConv qjmlExpand qvErrorContext setid
targetClass: `com.jxml.quick.ocm.OCMpeerFactorySupport`

### Attributes (the attributes are not inherited)

- ID ( optional )
  The data item is an identifier maintained by QDoc
  ID
- defaultPeerClass ( optional )
  field: `defaultClass` , data is defined by: `defaultPeerClass`

### Children

full tree

- sequence ( required , repeating ) field: `pairs` (kind: `list`)
  - dataModelClass ( required )
  - peerClass ( required )

### Is extended/implemented by

- factoryByTag

### bean: factoryByTag

extends factory
targetClass: `com.jxml.quick.ocm.OCMpeerFactoryByTag`

### Attributes (the attributes are not inherited)

- ID ( optional )
  The data item is an identifier maintained by QDoc
  ID
- defaultPeerClass ( optional )
  field: `defaultClass` , data is defined by: `defaultPeerClass`

### Children

full tree

- sequence ( required , repeating ) field: `pairs` (kind: `list`)
  - tagName ( required )
  - peerClass ( required )

### link: factoryLink

schema: `classpath:///com/jxml/quick/util/util.qiml`
child of: contextSupport qdml2qjml qdmlExpand qjml2javaConv qjmlExpand qvErrorContext setid

### text: genPackage

attribute of: qjml2java

### bean: input

extends source
targetClass: `com.jxml.quick.ocm.OCMsourceByName`

### Attributes (the attributes are not inherited)

- ID ( optional )
  The data item is an identifier maintained by QDoc
  ID
- inputSchema ( required )
  field: `schemaName` , data is defined by: `inputSchema`

### text: inputSchema

attribute of: dtdInput input

### text: oneNewClass

attribute of: qjml2java
content: `boolean`

### text: outputSchema

attribute of: contextSupport dtdOutput qdml2qjml qdmlExpand qjml2javaConv qjml2qdml qjmlExpand qvErrorContext setid transcribe

### text: package

attribute of: qdml2qjml

### text: peerClass

child of: factory factoryByTag

### text: prefix

attribute of: qdmlExpand qjmlExpand setid

### text: printClone

attribute of: qjml2java
content: `boolean`

### text: printFullConst

attribute of: qjml2java
content: `boolean`

### text: printMoreMethods

attribute of: qjml2java
content: `boolean`

### text: printPrint

attribute of: qjml2java
content: `boolean`

### text: printQAware

attribute of: qjml2java
content: `boolean`

### text: printXPath

attribute of: qjml2java
content: `boolean`

### bean: qdml2qjml

extends contextSupport
targetClass: `com.jxml.quick.util.qdml2qjml.QDML2QJML`

### Attributes (the attributes are not inherited)

- ID ( optional )
  The data item is an identifier maintained by QDoc
  ID
- PUBLIC ( optional )
  field: `PUBLIC` , data is defined by: `PUBLIC`
- SYSTEM ( optional )
  field: `SYSTEM` , data is defined by: `SYSTEM`
- docNamePrefix ( optional )
  field: `prefix` , data is defined by: `docNamePrefix`
- expressDefaults ( optional )
  default value: `False`
  field: `expressDefaults` , data is defined by: `expressDefaults`
- outputSchema ( optional )
  default value: `classpath:///com/jxml/quick/model/qjmlModel.qiml`
  field: `schemaName` , data is defined by: `outputSchema`
- package ( optional )
  field: `pckg` , data is defined by: `package`
- rootTag ( optional )
  field: `rootTag` , data is defined by: `rootTag`

### Children

full tree

- selection ( required ) field: `source`
  - source ( required )
  - sourceLink ( required )
- selection ( optional ) field: `validator`
  - validate ( required )
  - validateLink ( required )
- selection ( required ) field: `factory`
  - factory ( required )
  - factoryLink ( required )

### bean: qdmlExpand

extends contextSupport
targetClass: `com.jxml.quick.util.qdmlExpand.Counter`

### Attributes (the attributes are not inherited)

- ID ( optional )
  The data item is an identifier maintained by QDoc
  ID
- PUBLIC ( optional )
  field: `PUBLIC` , data is defined by: `PUBLIC`
- SYSTEM ( optional )
  field: `SYSTEM` , data is defined by: `SYSTEM`
- docNamePrefix ( optional )
  field: `prefix` , data is defined by: `docNamePrefix`
- expressDefaults ( optional )
  default value: `False`
  field: `expressDefaults` , data is defined by: `expressDefaults`
- outputSchema ( optional )
  field: `schemaName` , data is defined by: `outputSchema`
- prefix ( optional )
  default value: `ID`
  field: `IdPrefix` , data is defined by: `prefix`
- rootTag ( optional )
  field: `rootTag` , data is defined by: `rootTag`
- setIDs ( optional )
  default value: `False`
  field: `setIDs` , data is defined by: `setIDs`

### Children

full tree

- selection ( required ) field: `source`
  - source ( required )
  - sourceLink ( required )
- selection ( optional ) field: `validator`
  - validate ( required )
  - validateLink ( required )
- selection ( required ) field: `factory`
  - factory ( required )
  - factoryLink ( required )

### text: qdmlSchema

attribute of: qvErrorContext

### bean: qjml2java

extends sinkSupport
targetClass: `com.jxml.quick.util.qjml2java.Preferences`

### Attributes (the attributes are not inherited)

- ID ( optional )
  The data item is an identifier maintained by QDoc
  ID
- docNamePrefix ( optional )
  field: `prefix` , data is defined by: `docNamePrefix`
- expressDefaults ( optional )
  default value: `False`
  field: `expressDefaults` , data is defined by: `expressDefaults`
- genPackage ( optional )
  field: `genPackage` , data is defined by: `genPackage`
- oneNewClass ( optional )
  default value: `False`
  field: `oneNewClass` , data is defined by: `oneNewClass`
- printClone ( optional )
  default value: `False`
  field: `printclone` , data is defined by: `printClone`
- printFullConst ( optional )
  default value: `True`
  field: `printFullConst` , data is defined by: `printFullConst`
- printMoreMethods ( optional )
  default value: `True`
  field: `printMoreMethods` , data is defined by: `printMoreMethods`
- printPrint ( optional )
  default value: `False`
  field: `printPrint` , data is defined by: `printPrint`
- printQAware ( optional )
  default value: `False`
  field: `printQAware` , data is defined by: `printQAware`
- printXPath ( optional )
  default value: `False`
  field: `printXPath` , data is defined by: `printXPath`
- setParents ( optional )
  default value: `False`
  field: `setParents` , data is defined by: `setParents`

### Children

full tree

- selection ( required ) field: `source`
  - source ( required )
  - sourceLink ( required )
- selection ( optional ) field: `validator`
  - validate ( required )
  - validateLink ( required )

### bean: qjml2javaConv

extends contextSupport
targetClass: `com.jxml.quick.util.qjml2java.Conv`

### Attributes (the attributes are not inherited)

- ID ( optional )
  The data item is an identifier maintained by QDoc
  ID
- PUBLIC ( optional )
  field: `PUBLIC` , data is defined by: `PUBLIC`
- SYSTEM ( optional )
  field: `SYSTEM` , data is defined by: `SYSTEM`
- docNamePrefix ( optional )
  field: `prefix` , data is defined by: `docNamePrefix`
- expressDefaults ( optional )
  default value: `False`
  field: `expressDefaults` , data is defined by: `expressDefaults`
- outputSchema ( optional )
  field: `schemaName` , data is defined by: `outputSchema`
- rootTag ( optional )
  field: `rootTag` , data is defined by: `rootTag`

### Children

full tree

- selection ( required ) field: `source`
  - source ( required )
  - sourceLink ( required )
- selection ( optional ) field: `validator`
  - validate ( required )
  - validateLink ( required )
- selection ( required ) field: `factory`
  - factory ( required )
  - factoryLink ( required )

### bean: qjml2qdml

extends transcribe
targetClass: `com.jxml.quick.util.qjml2qdml.Qjml2Qdml`

### Attributes (the attributes are not inherited)

- ID ( optional )
  The data item is an identifier maintained by QDoc
  ID
- docNamePrefix ( optional )
  field: `prefix` , data is defined by: `docNamePrefix`
- expressDefaults ( optional )
  default value: `False`
  field: `expressDefaults` , data is defined by: `expressDefaults`
- outputSchema ( optional )
  field: `schemaName` , data is defined by: `outputSchema`

### Children

full tree

- selection ( required ) field: `source`
  - source ( required )
  - sourceLink ( required )
- selection ( optional ) field: `validator`
  - validate ( required )
  - validateLink ( required )

### bean: qjmlExpand

extends contextSupport
targetClass: `com.jxml.quick.util.qjmlExpand.Counter`

### Attributes (the attributes are not inherited)

- ID ( optional )
  The data item is an identifier maintained by QDoc
  ID
- PUBLIC ( optional )
  field: `PUBLIC` , data is defined by: `PUBLIC`
- SYSTEM ( optional )
  field: `SYSTEM` , data is defined by: `SYSTEM`
- docNamePrefix ( optional )
  field: `prefix` , data is defined by: `docNamePrefix`
- expressDefaults ( optional )
  default value: `False`
  field: `expressDefaults` , data is defined by: `expressDefaults`
- outputSchema ( optional )
  field: `schemaName` , data is defined by: `outputSchema`
- prefix ( optional )
  default value: `ID`
  field: `IdPrefix` , data is defined by: `prefix`
- rootTag ( optional )
  field: `rootTag` , data is defined by: `rootTag`
- setIDs ( optional )
  default value: `False`
  field: `setIDs` , data is defined by: `setIDs`

### Children

full tree

- selection ( required ) field: `source`
  - source ( required )
  - sourceLink ( required )
- selection ( optional ) field: `validator`
  - validate ( required )
  - validateLink ( required )
- selection ( required ) field: `factory`
  - factory ( required )
  - factoryLink ( required )

### bean: qvErrorContext

extends contextSupport
child of: qvValidator
targetClass: `com.jxml.quick.util.validate.QVErrorContext`

### Attributes (the attributes are not inherited)

- ID ( optional )
  The data item is an identifier maintained by QDoc
  ID
- PUBLIC ( optional )
  field: `PUBLIC` , data is defined by: `PUBLIC`
- SYSTEM ( optional )
  field: `SYSTEM` , data is defined by: `SYSTEM`
- docNamePrefix ( optional )
  field: `prefix` , data is defined by: `docNamePrefix`
- expressDefaults ( optional )
  default value: `False`
  field: `expressDefaults` , data is defined by: `expressDefaults`
- outputSchema ( optional )
  field: `schemaName` , data is defined by: `outputSchema`
- qdmlSchema ( required )
  field: `qdmlSchemaName` , data is defined by: `qdmlSchema`
- rootTag ( optional )
  field: `rootTag` , data is defined by: `rootTag`

### Children

full tree

- selection ( required ) field: `source`
  - source ( required )
  - sourceLink ( required )
- selection ( required ) field: `dataSource`
  - source ( required )
  - sourceLink ( required )
- selection ( optional ) field: `validator`
  - validate ( required )
  - validateLink ( required )
- selection ( required ) field: `factory`
  - factory ( required )
  - factoryLink ( required )

### bean: qvValidator

extends validatorSupport
targetClass: `com.jxml.quick.util.validate.QVValidate`

### Attributes (the attributes are not inherited)

- ID ( optional )
  The data item is an identifier maintained by QDoc
  ID
- docNamePrefix ( optional )
  field: `prefix` , data is defined by: `docNamePrefix`
- expressDefaults ( optional )
  default value: `False`
  field: `expressDefaults` , data is defined by: `expressDefaults`

### Children

full tree

- selection ( required ) field: `source` , data is defined by: `qvErrorContext`
  - qvErrorContext ( required )
  - sourceLink ( required )
- selection ( optional ) field: `validator`
  - validate ( required )
  - validateLink ( required )

### text: rootTag

attribute of: contextSupport qdml2qjml qdmlExpand qjml2javaConv qjmlExpand qvErrorContext setid

### text: setIDs

attribute of: qdmlExpand qjmlExpand
content: `boolean`

### text: setParents

attribute of: qjml2java
content: `boolean`

### bean: setid

extends contextSupport
targetClass: `com.jxml.quick.util.setid.Counter`

### Attributes (the attributes are not inherited)

- ID ( optional )
  The data item is an identifier maintained by QDoc
  ID
- PUBLIC ( optional )
  field: `PUBLIC` , data is defined by: `PUBLIC`
- SYSTEM ( optional )
  field: `SYSTEM` , data is defined by: `SYSTEM`
- docNamePrefix ( optional )
  field: `prefix` , data is defined by: `docNamePrefix`
- expressDefaults ( optional )
  default value: `False`
  field: `expressDefaults` , data is defined by: `expressDefaults`
- outputSchema ( optional )
  field: `schemaName` , data is defined by: `outputSchema`
- prefix ( optional )
  default value: `ID`
  field: `IdPrefix` , data is defined by: `prefix`
- rootTag ( optional )
  field: `rootTag` , data is defined by: `rootTag`

### Children

full tree

- selection ( required ) field: `source`
  - source ( required )
  - sourceLink ( required )
- selection ( optional ) field: `validator`
  - validate ( required )
  - validateLink ( required )
- selection ( required ) field: `factory`
  - factory ( required )
  - factoryLink ( required )

### interface: sink

extends base
targetClass: `com.jxml.quick.ocm.OCMsink`

### Is extended/implemented by

- sinkSupport
- validate

### bean: sinkSupport

implements sink
targetClass: `com.jxml.quick.ocm.OCMsinkSupport`

### Attributes (the attributes are not inherited)

- ID ( optional )
  The data item is an identifier maintained by QDoc
  ID
- docNamePrefix ( optional )
  field: `prefix` , data is defined by: `docNamePrefix`
- expressDefaults ( optional )
  default value: `False`
  field: `expressDefaults` , data is defined by: `expressDefaults`

### Children

full tree

- selection ( required ) field: `source`
  - source ( required )
  - sourceLink ( required )
- selection ( optional ) field: `validator`
  - validate ( required )
  - validateLink ( required )

### Is extended/implemented by

- contextSupport
- dtdOutput
- qjml2java
- transcribe
- validatorSupport

### interface: source

extends base
child of: contextSupport dtdOutput qdml2qjml qdmlExpand qjml2java qjml2javaConv qjml2qdml qjmlExpand qvErrorContext setid sinkSupport transcribe validatorSupport
targetClass: `com.jxml.quick.ocm.OCMsource`

### Is extended/implemented by

- contextSupport
- dtdInput
- dtdOutput
- input
- transcribe

### link: sourceLink

schema: `classpath:///com/jxml/quick/util/util.qiml`
child of: contextSupport dtdOutput qdml2qjml qdmlExpand qjml2java qjml2javaConv qjml2qdml qjmlExpand qvErrorContext qvValidator setid sinkSupport transcribe validatorSupport

### text: tagName

child of: factoryByTag

### bean: transcribe

extends sinkSupport
implements source
targetClass: `com.jxml.quick.ocm.OCMtranscribe`

### Attributes (the attributes are not inherited)

- ID ( optional )
  The data item is an identifier maintained by QDoc
  ID
- docNamePrefix ( optional )
  field: `prefix` , data is defined by: `docNamePrefix`
- expressDefaults ( optional )
  default value: `False`
  field: `expressDefaults` , data is defined by: `expressDefaults`
- outputSchema ( optional )
  field: `schemaName` , data is defined by: `outputSchema`

### Children

full tree

- selection ( required ) field: `source`
  - source ( required )
  - sourceLink ( required )
- selection ( optional ) field: `validator`
  - validate ( required )
  - validateLink ( required )

### Is extended/implemented by

- qjml2qdml

### interface: validate

extends sink
child of: contextSupport dtdOutput qdml2qjml qdmlExpand qjml2java qjml2javaConv qjml2qdml qjmlExpand qvErrorContext qvValidator setid sinkSupport transcribe validatorSupport
targetClass: `com.jxml.quick.ocm.OCMvalidator`

### Is extended/implemented by

- validatorSupport

### link: validateLink

schema: `classpath:///com/jxml/quick/util/util.qiml`
child of: contextSupport dtdOutput qdml2qjml qdmlExpand qjml2java qjml2javaConv qjml2qdml qjmlExpand qvErrorContext qvValidator setid sinkSupport transcribe validatorSupport

### bean: validatorSupport

extends sinkSupport
implements validate
targetClass: `com.jxml.quick.ocm.OCMvalidatorSupport`

### Attributes (the attributes are not inherited)

- ID ( optional )
  The data item is an identifier maintained by QDoc
  ID
- docNamePrefix ( optional )
  field: `prefix` , data is defined by: `docNamePrefix`
- expressDefaults ( optional )
  default value: `False`
  field: `expressDefaults` , data is defined by: `expressDefaults`

### Children

full tree

- selection ( required ) field: `source`
  - source ( required )
  - sourceLink ( required )
- selection ( optional ) field: `validator`
  - validate ( required )
  - validateLink ( required )

### Is extended/implemented by

- qvValidator

### SCHEMA TREE

    base
    |---factory
    |   |---dataModelClass
    |    ---factoryByTag
    |       |---tagName
    |---sink
    |   |---sinkSupport
    |   |   |---source
    |   |   |   |---contextSupport
    |   |   |   |   |---source
    |   |   |   |   |---qdml2qjml
    |   |   |   |   |   |---source
    |   |   |   |   |---qdmlExpand
    |   |   |   |   |   |---source
    |   |   |   |   |---qjml2javaConv
    |   |   |   |   |   |---source
    |   |   |   |   |---qjmlExpand
    |   |   |   |   |   |---source
    |   |   |   |   |---qvErrorContext
    |   |   |   |   |   |---source
    |   |   |   |    ---setid
    |   |   |   |       |---source
    |   |   |   |---dtdInput
    |   |   |   |---dtdOutput
    |   |   |   |   |---source
    |   |   |   |---input
    |   |   |    ---transcribe
    |   |   |       |---source
    |   |   |        ---qjml2qdml
    |   |   |           |---source
    |   |   |---contextSupport
    |   |   |   |---source
    |   |   |   |   |---contextSupport
    |   |   |   |   |---dtdInput
    |   |   |   |   |---dtdOutput
    |   |   |   |   |   |---source
    |   |   |   |   |---input
    |   |   |   |    ---transcribe
    |   |   |   |       |---source
    |   |   |   |        ---qjml2qdml
    |   |   |   |           |---source
    |   |   |   |---qdml2qjml
    |   |   |   |   |---source
    |   |   |   |   |   |---contextSupport
    |   |   |   |   |   |---dtdInput
    |   |   |   |   |   |---dtdOutput
    |   |   |   |   |   |   |---source
    |   |   |   |   |   |---input
    |   |   |   |   |    ---transcribe
    |   |   |   |   |       |---source
    |   |   |   |   |        ---qjml2qdml
    |   |   |   |   |           |---source
    |   |   |   |---qdmlExpand
    |   |   |   |   |---source
    |   |   |   |   |   |---contextSupport
    |   |   |   |   |   |---dtdInput
    |   |   |   |   |   |---dtdOutput
    |   |   |   |   |   |   |---source
    |   |   |   |   |   |---input
    |   |   |   |   |    ---transcribe
    |   |   |   |   |       |---source
    |   |   |   |   |        ---qjml2qdml
    |   |   |   |   |           |---source
    |   |   |   |---qjml2javaConv
    |   |   |   |   |---source
    |   |   |   |   |   |---contextSupport
    |   |   |   |   |   |---dtdInput
    |   |   |   |   |   |---dtdOutput
    |   |   |   |   |   |   |---source
    |   |   |   |   |   |---input
    |   |   |   |   |    ---transcribe
    |   |   |   |   |       |---source
    |   |   |   |   |        ---qjml2qdml
    |   |   |   |   |           |---source
    |   |   |   |---qjmlExpand
    |   |   |   |   |---source
    |   |   |   |   |   |---contextSupport
    |   |   |   |   |   |---dtdInput
    |   |   |   |   |   |---dtdOutput
    |   |   |   |   |   |   |---source
    |   |   |   |   |   |---input
    |   |   |   |   |    ---transcribe
    |   |   |   |   |       |---source
    |   |   |   |   |        ---qjml2qdml
    |   |   |   |   |           |---source
    |   |   |   |---qvErrorContext
    |   |   |   |   |---source
    |   |   |   |   |   |---contextSupport
    |   |   |   |   |   |---dtdInput
    |   |   |   |   |   |---dtdOutput
    |   |   |   |   |   |   |---source
    |   |   |   |   |   |---input
    |   |   |   |   |    ---transcribe
    |   |   |   |   |       |---source
    |   |   |   |   |        ---qjml2qdml
    |   |   |   |   |           |---source
    |   |   |    ---setid
    |   |   |       |---source
    |   |   |       |   |---contextSupport
    |   |   |       |   |---dtdInput
    |   |   |       |   |---dtdOutput
    |   |   |       |   |   |---source
    |   |   |       |   |---input
    |   |   |       |    ---transcribe
    |   |   |       |       |---source
    |   |   |       |        ---qjml2qdml
    |   |   |       |           |---source
    |   |   |---dtdOutput
    |   |   |   |---source
    |   |   |   |   |---contextSupport
    |   |   |   |   |   |---source
    |   |   |   |   |   |---qdml2qjml
    |   |   |   |   |   |   |---source
    |   |   |   |   |   |---qdmlExpand
    |   |   |   |   |   |   |---source
    |   |   |   |   |   |---qjml2javaConv
    |   |   |   |   |   |   |---source
    |   |   |   |   |   |---qjmlExpand
    |   |   |   |   |   |   |---source
    |   |   |   |   |   |---qvErrorContext
    |   |   |   |   |   |   |---source
    |   |   |   |   |    ---setid
    |   |   |   |   |       |---source
    |   |   |   |   |---dtdInput
    |   |   |   |   |---dtdOutput
    |   |   |   |   |---input
    |   |   |   |    ---transcribe
    |   |   |   |       |---source
    |   |   |   |        ---qjml2qdml
    |   |   |   |           |---source
    |   |   |---qjml2java
    |   |   |   |---source
    |   |   |   |   |---contextSupport
    |   |   |   |   |   |---source
    |   |   |   |   |   |---qdml2qjml
    |   |   |   |   |   |   |---source
    |   |   |   |   |   |---qdmlExpand
    |   |   |   |   |   |   |---source
    |   |   |   |   |   |---qjml2javaConv
    |   |   |   |   |   |   |---source
    |   |   |   |   |   |---qjmlExpand
    |   |   |   |   |   |   |---source
    |   |   |   |   |   |---qvErrorContext
    |   |   |   |   |   |   |---source
    |   |   |   |   |    ---setid
    |   |   |   |   |       |---source
    |   |   |   |   |---dtdInput
    |   |   |   |   |---dtdOutput
    |   |   |   |   |   |---source
    |   |   |   |   |---input
    |   |   |   |    ---transcribe
    |   |   |   |       |---source
    |   |   |   |        ---qjml2qdml
    |   |   |   |           |---source
    |   |   |---transcribe
    |   |   |   |---source
    |   |   |   |   |---contextSupport
    |   |   |   |   |   |---source
    |   |   |   |   |   |---qdml2qjml
    |   |   |   |   |   |   |---source
    |   |   |   |   |   |---qdmlExpand
    |   |   |   |   |   |   |---source
    |   |   |   |   |   |---qjml2javaConv
    |   |   |   |   |   |   |---source
    |   |   |   |   |   |---qjmlExpand
    |   |   |   |   |   |   |---source
    |   |   |   |   |   |---qvErrorContext
    |   |   |   |   |   |   |---source
    |   |   |   |   |    ---setid
    |   |   |   |   |       |---source
    |   |   |   |   |---dtdInput
    |   |   |   |   |---dtdOutput
    |   |   |   |   |   |---source
    |   |   |   |   |---input
    |   |   |   |    ---transcribe
    |   |   |    ---qjml2qdml
    |   |   |       |---source
    |   |   |       |   |---contextSupport
    |   |   |       |   |   |---source
    |   |   |       |   |   |---qdml2qjml
    |   |   |       |   |   |   |---source
    |   |   |       |   |   |---qdmlExpand
    |   |   |       |   |   |   |---source
    |   |   |       |   |   |---qjml2javaConv
    |   |   |       |   |   |   |---source
    |   |   |       |   |   |---qjmlExpand
    |   |   |       |   |   |   |---source
    |   |   |       |   |   |---qvErrorContext
    |   |   |       |   |   |   |---source
    |   |   |       |   |    ---setid
    |   |   |       |   |       |---source
    |   |   |       |   |---dtdInput
    |   |   |       |   |---dtdOutput
    |   |   |       |   |   |---source
    |   |   |       |   |---input
    |   |   |       |    ---transcribe
    |   |    ---validatorSupport
    |   |       |---source
    |   |       |   |---contextSupport
    |   |       |   |   |---source
    |   |       |   |   |---qdml2qjml
    |   |       |   |   |   |---source
    |   |       |   |   |---qdmlExpand
    |   |       |   |   |   |---source
    |   |       |   |   |---qjml2javaConv
    |   |       |   |   |   |---source
    |   |       |   |   |---qjmlExpand
    |   |       |   |   |   |---source
    |   |       |   |   |---qvErrorContext
    |   |       |   |   |   |---source
    |   |       |   |    ---setid
    |   |       |   |       |---source
    |   |       |   |---dtdInput
    |   |       |   |---dtdOutput
    |   |       |   |   |---source
    |   |       |   |---input
    |   |       |    ---transcribe
    |   |       |       |---source
    |   |       |        ---qjml2qdml
    |   |       |           |---source
    |   |        ---qvValidator
    |   |           |---qvErrorContext
    |   |           |   |---source
    |   |           |   |   |---contextSupport
    |   |           |   |   |   |---source
    |   |           |   |   |   |---qdml2qjml
    |   |           |   |   |   |   |---source
    |   |           |   |   |   |---qdmlExpand
    |   |           |   |   |   |   |---source
    |   |           |   |   |   |---qjml2javaConv
    |   |           |   |   |   |   |---source
    |   |           |   |   |   |---qjmlExpand
    |   |           |   |   |   |   |---source
    |   |           |   |   |   |---qvErrorContext
    |   |           |   |   |    ---setid
    |   |           |   |   |       |---source
    |   |           |   |   |---dtdInput
    |   |           |   |   |---dtdOutput
    |   |           |   |   |   |---source
    |   |           |   |   |---input
    |   |           |   |    ---transcribe
    |   |           |   |       |---source
    |   |           |   |        ---qjml2qdml
    |   |           |   |           |---source
    |    ---validate
    |        ---validatorSupport
    |           |---source
    |           |   |---contextSupport
    |           |   |   |---source
    |           |   |   |---qdml2qjml
    |           |   |   |   |---source
    |           |   |   |---qdmlExpand
    |           |   |   |   |---source
    |           |   |   |---qjml2javaConv
    |           |   |   |   |---source
    |           |   |   |---qjmlExpand
    |           |   |   |   |---source
    |           |   |   |---qvErrorContext
    |           |   |   |   |---source
    |           |   |    ---setid
    |           |   |       |---source
    |           |   |---dtdInput
    |           |   |---dtdOutput
    |           |   |   |---source
    |           |   |---input
    |           |    ---transcribe
    |           |       |---source
    |           |        ---qjml2qdml
    |           |           |---source
    |            ---qvValidator
    |               |---qvErrorContext
    |               |   |---source
    |               |   |   |---contextSupport
    |               |   |   |   |---source
    |               |   |   |   |---qdml2qjml
    |               |   |   |   |   |---source
    |               |   |   |   |---qdmlExpand
    |               |   |   |   |   |---source
    |               |   |   |   |---qjml2javaConv
    |               |   |   |   |   |---source
    |               |   |   |   |---qjmlExpand
    |               |   |   |   |   |---source
    |               |   |   |   |---qvErrorContext
    |               |   |   |    ---setid
    |               |   |   |       |---source
    |               |   |   |---dtdInput
    |               |   |   |---dtdOutput
    |               |   |   |   |---source
    |               |   |   |---input
    |               |   |    ---transcribe
    |               |   |       |---source
    |               |   |        ---qjml2qdml
    |               |   |           |---source
     ---source
        |---contextSupport
        |   |---source
        |   |---qdml2qjml
        |   |   |---source
        |   |---qdmlExpand
        |   |   |---source
        |   |---qjml2javaConv
        |   |   |---source
        |   |---qjmlExpand
        |   |   |---source
        |   |---qvErrorContext
        |   |   |---source
        |    ---setid
        |       |---source
        |---dtdInput
        |---dtdOutput
        |   |---source
        |---input
         ---transcribe
            |---source
             ---qjml2qdml
                |---source

### INDEX

base
contextSupport
dataModelClass
defaultPeerClass
docNamePrefix
dtdInput
dtdOutput
expressDefaults
factory
factoryByTag
factoryLink
genPackage
ID
input
inputSchema
oneNewClass
outputSchema
package
peerClass
prefix
printClone
printFullConst
printMoreMethods
printPrint
printQAware
printXPath
PUBLIC
qdml2qjml
qdmlExpand
qdmlSchema
qjml2java
qjml2javaConv
qjml2qdml
qjmlExpand
qvErrorContext
qvValidator
rootTag
setid
setIDs
setParents
sink
sinkSupport
source
sourceLink
SYSTEM
tagName
transcribe
validate
validateLink
validatorSupport